%define	name	acl
%define	version	2.2.51
%define	release	%mkrel 6

%define	libname_orig	lib%{name}
%define lib_major	1
%define libname	  %mklibname %{name} %{lib_major}
%define develname %mklibname -d %{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Command for manipulating access control lists
License:	GPLv2+ and LGPLv2
Group:		System/Kernel and hardware
URL:		http://savannah.nongnu.org/projects/acl
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.src.tar.gz
Patch0:		acl-2.2.51-libexec.patch
BuildRequires:	attr-devel
BuildRequires:	libtool

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n	%{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the %{libname_orig} dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n	%{develname}
Summary:	Access control list static libraries and headers
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	acl-devel = %{version}-%{release}
Provides:	libacl-devel = %{version}-%{release}
Obsoletes:	%mklibname -d acl 0
Obsoletes:	%mklibname -d acl 1

%description -n	%{develname}
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

You should install %{develname} if you want to develop programs
which make use of ACLs.  If you install %{develname}, you will
also want to install %{libname}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --sbindir=%{_bindir}
%make

%install
rm -rf %{buildroot}
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/
make install-lib DIST_ROOT=%{buildroot}/

find %{buildroot} -name *.la | xargs rm

rm -rf %{buildroot}%{_docdir}/acl

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%defattr(-,root,root)
%doc doc/COPYING
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/extensions.txt doc/COPYING doc/libacl.txt
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*
%dir %{_includedir}/acl
%{_includedir}/acl/libacl.h
%{_includedir}/sys/acl.h


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.2.51-6.mga3
+ Revision: 345250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 2.2.51-5.mga3
+ Revision: 337577
- Fix for _libdir != _libexecdir

* Sat Jul 21 2012 colin <colin> 2.2.51-4.mga3
+ Revision: 273158
- Update for usrmove

* Sun Dec 18 2011 bcornec <bcornec> 2.2.51-3.mga2
+ Revision: 183888
- Fix bug #3564 by re-enabling the build of static libs

* Tue Sep 13 2011 fwang <fwang> 2.2.51-2.mga2
+ Revision: 142881
- update file list
- drop .la files

* Fri Jun 17 2011 tv <tv> 2.2.51-1.mga2
+ Revision: 109231
- new release
- drop patch 0 (merged)

* Sat Jan 08 2011 blino <blino> 2.2.49-5.mga1
+ Revision: 529
- remove obsolete postun
- imported package acl

